using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class _Default : System.Web.UI.Page
{
   protected void Page_Load(object sender, EventArgs e)
   {
      lblStatus.Text = string.Format("To jest {0} sesja!",
        Session.IsNewSession ? "nowa" : "stara");
      if (Session.IsNewSession)
         Session["counter"] = 0;
      UpdateCounterDisplay();
   }

   protected void UpdateCounterDisplay()
   {
      lblCounter.Text = string.Format("Wartość licznika wynosi <b>{0}</b>",
        Session["counter"]);
   }
   protected void btnSubmit_Click(object sender, EventArgs e)
   {
      Session["counter"] = (int)Session["counter"] + 1;
      UpdateCounterDisplay();
   }
}
